%global dlrn_nvr diskimage-builder-3.9.0-2.20220111032349.cb96117
%global dlrn 1
%define upstream_version 3.9.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 3.9.0
Release: 2.20220111032349.cb96117%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: diskimage-builder-3.9.0-2.20220111032349.cb96117.tar.gz
# workaround for handling py2 and py3 metaclass issue
#
# patches_ignore=DROP-IN-RPM
# patches_base=cb96117146111d0acb678d397bfb0346c3fe1df8
Patch0001: 0001-DOWNSTREAM-ONLY-Install-lsof-in-pre-install.d-for-rh.patch
Patch0002: 0002-Ensure-redhat-efi-packages-are-reinstalled-during-fi.patch

AutoReqProv: no

BuildArch: noarch

BuildRequires: git
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr
%if %{pyver} == 3
BuildRequires: /usr/bin/pathfix.py
%endif

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: tar
Requires: gdisk
Requires: lvm2
Requires: git
Requires: dib-utils
Requires: xfsprogs
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: python%{pyver}
Requires: python%{pyver}-flake8
Requires: python%{pyver}-pbr
Requires: python%{pyver}-six
Requires: python%{pyver}-stevedore
%if %{pyver} == 2
Requires: python-babel
Requires: python-networkx
Requires: PyYAML
%else
Requires: python%{pyver}-babel
Requires: python%{pyver}-networkx
Requires: python%{pyver}-PyYAML
%endif

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -r diskimage_builder.egg-info

%build
%{pyver_build}

%install
%{pyver_install}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/bin/svc-map
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/bin/svc-map
%endif

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{pyver_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20220111032349.cb96117
- Update patches

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20210603124809.cb96117
- Ensure redhat efi packages are reinstalled during finalise (rhbz#1939317)
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20210528124946.cb96117
- Ensure redhat efi packages are reinstalled during finalise (rhbz#1939317)
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Wed May 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20210520024816.cb96117
- Ensure redhat efi packages are reinstalled during finalise (rhbz#1939317)
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20210428170747.cb96117
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Sat Apr 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.0-2.20210424104736.cb96117
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Thu Apr 15 2021 OSP Prod Chain <dev-null@redhat.com> 2.38.0-2
- Update patches
- Properly set grub2 root device when using efi
- Make DIB_DNF_MODULE_STREAMS part of yum element
- Fix: IPA image buidling with OpenSuse.
- update gentoo keywords to support gcc-10
- replace the link which is in the 06-hpdsa file
- Only add rhel base repos when REG_REPOS is not set
- Support secure-boot bootloader where possible
- Change get-pip url
- Add aarch64 support for rhel
- Add efibootmgr utility for UEFI boot menu management
- Fix hooks order for CentOS/Fedora when mirror used
- Don't use hardcode while override base image file
- Fix installation of proliant tools
- Change paths for bootloader files in iso element
- Use the same bootloader pkg-map for all redhat family
- Don't install centos-linux-release on 8-stream
- Remove fedora-31 testing
- Set eus repositories if REG_RELEASE is set
- Install last stable version of get-pip.py script
- simplify updating python versions in gentoo
- Add 'DIB_UBUNTU_MIRROR_DISTS' to ubuntu-minimal
- Fix CentOS Stream 8 base repo in centos element
- Remove the deprecated ironic-agent element
- add missing packages for python reinstall on gentoo
- Fix centos 8.3 partition image building error with element iscsi-boot
- Fix building error with element dracut-regenerate
- Enable dracut list installed modules
- docs: fix wrong key in the lvm sample configuration
- Remove centos-repos package for Centos 8.3
- Install git-core instead of git on RH systems
- simple-init: also remove en* interfaces from the images
- Fix dynamic-login with grub2
- Run autoremove on post-install step
- Fix python-stow-versions
- Remove dib-block-device console entrypoint
- Remove entry-point for element-info
- Add support for vlan interfaces in dhcp-all-interfaces.sh
- yum-minimal: Add centos-stream-repos package for centos-8-stream
- Allow processing 'focal' ubuntu release in lvm
- Remove the unused coding style modules
- Add Python3 Wallaby unit tests
- Ensure yum-utils is installed in epel element
- Fix runtime error if DIB_DNF_MODULE_STREAMS is not set
- Disable growpart in cloud-init-disable-resizefs
- Remove unused fedora-30 job
- Test opensuse 15 builds with 15.2
- Remove install unnecessary package
- Revert "Avoid disabling rhel-7-server-rh-common-rpms"
- Rename duplicating 10-debian-minimal.bash
- rhel-common: Provide method to select module streams
- Install gzip instead of busybox-gzip on suse
- Install grep before busybox on suse distros
- bootloader: remove dangling grubenv links
- Move centos python3 installation after RHEL subscription
- Copy apt gpg keys directly into trusted.gpg.d
- Make iscsi-boot element support centos 8
- update various gentoo bits
- Revert "source-repositories: git is a build-only dependency"
- update gentoo to allow building arm64 images
- Makes EFI images bootable by bios
- Fedora 32 support
- Do not install python2 packages in ubuntu focal
- Update name of ipa job
- Handle NetworkManager for dhcp-all-interfaces
- source-repositories: git is a build-only dependency
- Add support for CentOS 8 Stream cloud image
- Remove glance-registry
- Deprecate dib-python; remove from in-tree elements
- Pre-install python3 for CentOS
- Update the tox minversion parameter.
- Adds gnupg2 for apt-keys in ubuntu-minimal
- Support non-x86_64 DIB_DISTRIBUTION_MIRROR variable for CentOS 7
- Fixes DIB_IPA_CERT certificate copy issue
- add openrc init system support to serial console element
- update gentoo-releng gpg key
- Fix DIB scripts python version
- Switch from unittest2 compat methods to Python 3.x methods
- Install yum and yum-utils on Red Hat family hosts
- Revert "Make ipa centos8 job non-voting"
- Disable all enabled epel repos in CentOS8
- Make ipa centos8 job non-voting
- add musl profile to gentoo
- Download latest CentOS cloud image
- Add support for CentOS 8 Stream
- add more python selections to gentoo
- update grub cmdline to current kernel parameters
- Stop bringing the test environment into the mocks
- Remove virtualenv activation
- Add .eggs to gitignore
- Switch to newer openstackdocstheme and reno versions
- Use kpartx option to update partition mappings
- Do not fail in a venv when activate_this.py is not found
- Fix yumdownloader cache dir
- Update readme to clarify an ubuntu bionic image is built
- Drop six usage
- Cleanup py27 and docs support
- Add back pep8 and tarball jobs
- Drop support for python2
- Debuntu: add apt-transport-https

* Mon Apr 12 2021 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Only add rhel base repos when REG_REPOS is not set (rhbz#1945448)

* Mon Apr 12 2021 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Properly set grub2 root device when using efi (rhbz#1939317)

* Sun Mar 28 2021 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Don't run grub2-install for efi block devices (rhbz#1939317)
- Add efibootmgr utility for UEFI boot menu management (rhbz#1939317)
- Use the same bootloader pkg-map for all redhat family (rhbz#1939317)
- Makes EFI images bootable by bios (rhbz#1939317)
- bootloader: remove dangling grubenv links (rhbz#1939317)

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- [DOWNSTREAM ONLY] Install lsof in pre-install.d for rhel

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Mon Nov 02 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- (DOWNSTREAM-ONLY) Fix runtime error if DIB_DNF_MODULE_STREAMS is not set
- (DOWNSTREAM-ONLY) rhel-common: Provide method to select module streams

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 2.38.0-1
- Do not fail in a venv when activate_this.py is not found
- Update readme to clarify an ubuntu bionic image is built
- Cleanup py27 and docs support
- Add back pep8 and tarball jobs
- Drop support for python2
- Do not fail in a venv when activate_this.py is not found
- Update readme to clarify an ubuntu bionic image is built
- Cleanup py27 and docs support
- Add back pep8 and tarball jobs
- Drop support for python2

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Do not fail in a venv when activate_this.py is not found

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Cleanup py27 and docs support

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Update readme to clarify an ubuntu bionic image is built
- Add back pep8 and tarball jobs

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Drop support for python2

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Prepare to drop Python 2 support

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "dib-lint: use yamllint to parse YAML files"

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- use stage3 instead of stage4 for gentoo builds
- Pre-install xz package in opensuse chroot

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add dependency on yamllint

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "Revert "ubuntu-minimal : only install 16.04 HWE kernel on xenial""
- package-installs : allow a list of parameters
- dib-lint: use yamllint to parse YAML files

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "ubuntu-minimal : only install 16.04 HWE kernel on xenial"

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- ubuntu-minimal: Add Ubuntu Focal test build
- ubuntu-minimal : only install 16.04 HWE kernel on xenial
- ubuntu-minimal: fix HWE install for focal
- package-installs: allow when filter to be a list

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- block device: update variable name

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- functests: use ensure-virtualenv

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add sibling container builds to experimental queue

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add a focal test
- Restore SUSE tests to gate
- Switch functional tests to containers

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Bionic functional tests should be voting

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- pip-and-virtualenv : fix fedora 30 install
- yum-minimal: strip env vars in chroot calls
- Fix args to debuntu functional tests

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- pip-and-virtualenv: drop f31 & tumbleweed, rework suse 15 install

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove Trusty testing

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove Babel and any signs of translations

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Make ipa centos8 dib job voting

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add centos aarch64 tests

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Do not try to use MBR on AArch64

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- opensuse: fix python 2.x install

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- centos 8 image build: fix mirror
- run_functests: handle build without tar
- Mellanox element: removed ibutils,libibcm,libmlx4-dev

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add Fedora 31 support and test jobs

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add python-stow-versions element

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Use rpm -e instead of dnf for cleaning old kernels

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- (DOWNSTREAM-ONLY) Enable RHEL module configuration
- Add support for build-only packages

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- bindep: remove lsb-release

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove hacking from requirements

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add ensure-venv element, install glean with it
- Remove Fedora 29 job
- Uncap hacking

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Do not include efibootmgr and efivars for ppc architectures
- Change tgt pkg-map to target-restore CentOS/RHEL-8
- Add CentOS 8 support
- fix iscsi-boot element exiting build even if dracut-regenerate used

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Fix cache-url -f

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add efi packages for ironic-agent
- Allow python3 to be used in Debian

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Enable possibility to select HWE kernel for Ubuntu minimal"
- Enable possibility to select HWE kernel for Ubuntu minimal

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Add ironic jobs to the CI"
- Add ironic jobs to the CI

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- dib-lint: test elements have README.rst file

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove trusty jobs

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Fix Yum repositories and GPG keys for CentOS 8.1

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- allow building of Gentoo images for non-systemd profiles

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- modprobe.d: use $TMP_MOUNT_PATH

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Install rng-tools in Red Hat family distro images"
- Install rng-tools in Red Hat family distro images

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Add arm64 based functional test"
- Add arm64 based functional test

* Sun Dec 15 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Fix wrong URL in ironic-agent element"
- Update bindep for RHEL/CentOS 8
- Fix wrong URL in ironic-agent element

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Set correct python version for non-chroot scripts"
- Set correct python version for non-chroot scripts

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Work around Trusty ext4 metadata_csum errors on Bionic
- Drop Xenial from functional test

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Allow zypper repos to be overrideable"
- Allow zypper repos to be overrideable

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Install ndisc6 package in element script"
- Merge "Fix regex for mirror URL substitution"
- Merge "Break retry loop on success in dhcp-all-interfaces"
- Merge "Fix login.defs config for tumbleweed"
- Fix regex for mirror URL substitution
- Install ndisc6 package in element script
- Make sure DIB_DEBUG_TRACE has a default value
- Fix login.defs config for tumbleweed
- Break retry loop on success in dhcp-all-interfaces

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Add IPv6 support in dhcp-all-interfaces"
- Add IPv6 support in dhcp-all-interfaces

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Stop installing pydistutils.cfg"
- Stop installing pydistutils.cfg

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Update bindep.txt for some missing dependencies"
- Merge "Add output for mis-configured element scripts"
- Merge "Ensure nouveau is blacklisted in initramfs too"
- Merge "Adds support for GPG keyring"
- Merge "Only wait for checksum processes"
- Merge "Introduce manual setting of DIB_INIT_SYSTEM"
- Update bindep.txt for some missing dependencies
- Only wait for checksum processes
- Introduce manual setting of DIB_INIT_SYSTEM
- Add output for mis-configured element scripts
- Add grub-efi-x86_64 pkg-map
- Adds support for GPG keyring
- Ensure nouveau is blacklisted in initramfs too

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove unused job

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- vhd-util : note on Xen/RAX images

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "Drop vhdutil dependency, use qemu-img"

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "Pause Fedora jobs"

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Deprecates the existing "ironic-agent" element in DIB

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "pip-and-virtualenv: include python3-venv for Debuntu"
- pip-and-virtualenv: include python3-venv for Debuntu

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Drop vhdutil dependency, use qemu-img"
- Merge "Add security suite name override in debian-minimal"
- Merge "Ensure machine-id is not included in images"
- Drop vhdutil dependency, use qemu-img
- Add security suite name override in debian-minimal
- Ensure machine-id is not included in images

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Fix syntax error in selinux-fixfiles-restore"
- Fix syntax error in selinux-fixfiles-restore

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "bootloader: make serial console configurable"
- Merge "Update gentoo test to current system profile"
- Pause Fedora jobs
- bootloader: make serial console configurable
- Update gentoo test to current system profile

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "centos7; use numeric DIB_RELEASE"
- centos7; use numeric DIB_RELEASE

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Remove RA solicit delay"
- Temporarily disable Fedora 30 build jobs
- Remove RA solicit delay

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- CentOS 8 minimal testing and support

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add NetworkManager and dhcp-client for CentOS 8
- Fix networking for CentOS 8

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- simple-init: Use wrappers to call pip for glean install
- simple-init: default to NetworkManager for CentOS and Fedora

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "pip-and-virtualenv : deprecate source for CentOS 8, new variables"
- Merge "yum-minimal: Don't install yum, install libcurl"
- Merge "Use $YUM instead of direct calls in more places"
- Merge "Add environment switch for centos8 to use dnf"
- pip-and-virtualenv : deprecate source for CentOS 8, new variables
- yum-minimal: Don't install yum, install libcurl
- Use $YUM instead of direct calls in more places
- Add environment switch for centos8 to use dnf

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Update redhat-common pkg-map for centos 8"
- Update redhat-common pkg-map for centos 8

* Tue Oct 01 2019 RDO <dev@lists.rdoproject.org> 2.27.2-1
- Update to 2.27.2


